#!/usr/env/bin ruby
#-*- coding:utf-8 -*-
require 'kakasi' 
a=gets.chomp
b=Kakasi.kakasi('-Ja -Ha -Ka',a).split("＠")
e=a.split("＠")
c=0
while c<b.length
  d=0
  while d<b[c].length
    print(b[c][d])
    sleep(0.1)
    d+=1
  end
  if b[c]=!e[c]
    sleep(0.4)
    print("\e[%dD\e[K%s",b[c].length,e[c])
  end
  c+=1
end
